#ifndef _VSIGNAL_H
#define _VSIGNAL_H

#include <setjmp.h>
#include <signal.h>
#define Vsignal(sig,func) (void(*)())signal(sig,func)
typedef void (*vfuncp)();
extern vfuncp BSDsignal();
extern char *sigsym();

#ifndef SIGHUP
#define SIGHUP   -1
#endif

#ifndef SIGQUIT
#define SIGQUIT  -3
#endif

#ifndef SIGILL
#define SIGILL   -4
#endif

#ifndef SIGTRAP
#define SIGTRAP  -5
#endif

#ifndef SIGEMT
#define SIGEMT	 -7
#endif

#ifndef SIGFPE
#define SIGFPE	 -8
#endif

#ifndef SIGKILL
#define SIGKILL  -9
#endif

#ifndef SIGBUS
#define SIGBUS	-10
#endif

#ifndef SIGSEGV
#define SIGSEGV	-11
#endif

#ifndef SIGPIPE
#define SIGPIPE -13
#endif

#ifndef SIGALRM
#define SIGALRM -14
#define WithSIGALRM	0
#else
#define WithSIGALRM	1
#endif

#ifndef SIGURG
#define SIGURG  -16
#endif

#ifndef SIGCHLD
#define SIGCHLD	-20
#endif

#ifndef SIGIO
#define SIGIO	-23
#endif

#ifndef SIGCONT
#define	SIGCONT	-24
#endif

#endif
